# Relay

## Installation

### Environment Variables

|Variable|Description|Required|Default Value|
|-|-|:-:|-|
|`HOST`|The application host.|✔||
|`PORT`|The application port.|✔||
|`PUBLIC_URL`|The public endpoint of the web ui.|✔||
|`BOT_TOKEN`|Authentication for the Discord Bot.|✔||
|`DATABASE_URL`|Postgresql connection string.|✔||
|`OAUTH_URL`|Discord authentication URL.|✔||
|`CALLBACK_URL`|Discord authentication callback URL.|✔||
|`CLIENT_ID`|Discord application client ID.|✔||
|`CLIENT_SECRET`|Discord application client secret.|✔||
|`DISCORD_USER_IDS`|CSV of Discord User IDs allowed to access the web ui.|✔||
|`LOG_LEVEL`|Manually set the log level (not recommended).||`info`|
|`LOG_DIR`|Override the default output directory for log files.|||
